#include <bits/stdc++.h>

using namespace std;

int mat[10][10];
int slob[10][10];
char ulaz[10][10];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n, m;
    cin >> n >> m;
    bool prazno = true;
    for(int i=0;i<n;i++)
    {
        string s;
        cin >> s;
        for(int j=0;j<m;j++)
        {
            char x = s[j];
            ulaz[i][j] = x;
            if(x == '.') mat[i][j] = -1;
            else
            {
                prazno = false;
                if(x == '#') mat[i][j] = -2;
                else mat[i][j] = x - '0';
            }
        }
    }
    if(prazno)
    {
        int x=0;
        int y=0;
        while(x<n && y<m)
        {
            ulaz[x][y] = 'C';
            x++;
            y++;
        }
        for(int i=0;i<n;i++)
        {
            for(int j=0;j<m;j++)
            {
                cout<<ulaz[i][j];
            }
            cout<<"\n";
        }
    }


    return 0;
}